This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 20139 - I need a Python DBAPI v2.0+ for Postgresql urgently!
I need a Python DBAPI v2.0+ for Postgresql urgently!
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 04:23 EST by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-02 02:42:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-01 04:23:31 EST
Here is some e-mail about a problem compiling PoPy-1.4.1 on RedHat, with 
comments from Debian! I need a Python DBAPI v2.0+ for Postgresql urgently!
Can you help me?
Regards, Chris Marshall

Scavenging the mail folder uncovered Chris Marshall's letter:
> I have created the Makefile with correct include and lib for pgsql, but 
get
> the following message when running make:
> 
> -fPIC  -fomit-frame-pointer -O6 -I/usr/include/python1.5 -
I/usr/lib/python1.
> 5/config -DHAVE_CONFIG_H=1  -DHAVE_LIBCRYPT=1  -I/usr/include/pgsql/ -
Wall -
> DVERSION=\"1.4.1\" -c ./PoPymodule.c
> In file included from /usr/include/pgsql/c.h:47,
>                  from /usr/include/pgsql/postgres.h:40,
>                  from PoPymodule.h:37,
>                  from ./PoPymodule.c:35:
> /usr/include/pgsql/config.h:540: os.h: No such file or directory
> make: *** [PoPymodule.o] Error 1
> 
> where os.h is a symbolic link to the absent ./include/port/linux.h file! 
I

appears as a redhat/postgresql packaging bug. if an rpm contains a link
to an inexistent file that's definitely a packaging problem.
Comment 1 Trond Eivind Glomsrxd 2000-11-01 11:12:57 EST
Which postgresql RPM are you using?
Comment 2 Need Real Name 2000-11-02 02:42:35 EST
The version is postgresql-7.0.2-2
Comment 3 Trond Eivind Glomsrxd 2000-11-02 12:05:43 EST
That isn't part of Red Hat Linux 6.2.

Anyway, I and Lamar cooperated on RPMS for Red Hat Linux 7, and you can find the
result compiled for Red Hat Linux 6.2 on the postgresql ftp server. Note that
these are not supported by us.

Note You need to log in before you can comment on or make changes to this bug.